| Home | Libraries | People | FAQ | More

## Struct basic_default_generator

boost::proto::basic_default_generator — A simple generator that passes an expression through unchanged while stating a preference for proto::basic_expr<> over proto::expr<>.

## Synopsis

    // In header: <boost/proto/generate.hpp>

    struct basic_default_generator :
       proto::use_basic_expr< proto::default_generator >
    {
    };